<?php

$nphp_common["debugmode"]  = 1;                        // Usually left on, it is not a security risk.
$nphp_common["cookses"]    = 1;                        // 1=COOKIES; 2=SESSIONS; Sessions require PHP4 or above.
$nphp_common["cookielife"] = 604800;                   // Length of time in seconds that users cookies last.
$nphp_common["sesname"]    = "nses";                   // ADVANCED: Name of the nPHP session.
$nphp_common["confsep"]    = "<~>";                    // ADVANCED: Configuration separator. Best left alone...

/*
// ----------------------------------------------
*/


$nphp_versions["nphp"]  = 200;                // The version number of the main nPHP file
$nphp_versions["nphp2"] = "";

/*
// ----------------------------------------------
*/

/*
// Security Options -----------------------------
//   You may wish to change the filename of your
//   configuration files, you may specify the
//   filenames below. ADVANCED USERS ONLY.
*/

$nphp_files["config"]   = "nconf.php";         // The nPHP configuration file.
$nphp_files["funcs"]    = "nfunc.php";         // Contains most of nPHPs functions.
$nphp_files["dlang"]    = "nlang.php";         // The default language file.
$nphp_files["html"]     = "nhtml.php";         // This file contains most of the HTML for nPHP.

$nphp_files["newdat"]   = "nphpd.dat";         // The news data file.
$nphp_files["output"]   = "news.php";          // The output text file in which the news is saved.
$nphp_files["headline"] = "headlines.txt";     // The output text file in which the headlines are saved.
$nphp_files["archive"]  = "archive.txt";       // The file all archived news is saved to.
$nphp_files["maillist"] = "maillist.txt";      // The mailing list file.

/*
// ----------------------------------------------
*/

/*
// Begin Script ---------------------------------
//   The main bulk of the script is from here 
//   down. Although most is commented, the
//   comments may become out of date, I will try
//   to keep them up-to-date.
*/

// We all love our constants, so lets
// define them!

  define("NPHP_POSTNEWS", 1);
  define("NPHP_OUTPUTNEWS", 2);

// We need to load in the common files
// that have some code we need.

  require($nphp_files["funcs"]);
  require($nphp_files["dlang"]);
  require($nphp_files["html"]);
  
// Check the version numbers, if they
// are not compatible nPHP will not
// be able to work.

  if($nphp_versions["nphp"] != $nphp_versions["nfunc"])
  {
    die($nphp_notices["error_incompat"]);
  }
  
  if($nphp_versions["nphp"] != $nphp_versions["nlang"])
  {
    die($nphp_notices["error_incompat"]);
  }

// Before we get started, just incase, we
// set the current users details all blank.

  $nphp_currentuser[0] = "";
  $nphp_currentuser[1] = "";
  $nphp_currentuser[2] = "";
  $nphp_currentuser[3] = -1;
  $nphp_currentuser[4] = "default";
    
// If we are using sessions, start them
// up and setup the default query line.

  if($nphp_common["cookses"] == 2)
  {
    session_name($nphp_common["sesname"]);
    session_start();
    $nphp_common["qline"] = "&" . $nphp_common["sesname"] . "=" . session_id();
  }
  else
  {
    $nphp_common["qline"] = "";
  }

// If we are given a query, find out what it is,
// otherwise leave it blank.

  if(isset($QUERY_STRING))
  {
    $temporary_array = explode("&",$QUERY_STRING);
    $nphp_common["qstring"] = $temporary_array[0];
    unset($temporary_array[0]);
  }
  else
  {
    $nphp_common["qstring"] = "";
  }

// Load in all the needed settings
// and users.

  LoadSettings($nphp_config, $nphp_users);
    
// Debugging features here we come!

  if($nphp_common["qstring"] == "debug")
  {
    echo("<HTML>\n");
    echo("<BODY>\n");
      
    echo("<TABLE WIDTH=\"700\" BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"3\">\n");
    
    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("<B>Script Information:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>Script Name:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("Webtuba NEWS\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>Author:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("O Webtuba NEWS Time de Desenvolvimento\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>Copyright:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("Copyright &copy; 1999-2001 Ben O'Neill\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>Web Site:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<A HREF=\"http://www.webtuba.com.br/\" TARGET=\"_blank\">http://www.webtuba.com.br/</A>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>");
    echo("<TD COLSPAN=\"3\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("<B>Version Information:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>PHP Version:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo(phpversion() . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>Webtuba NEWS Verso:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo($nphp_versions["nphp"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>Functions Version:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo($nphp_versions["nfunc"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>HTML Version:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo($nphp_versions["nhtml"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>Default Language Version:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo($nphp_versions["nlang"] . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>");
    echo("<TD COLSPAN=\"3\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("<B>Cookie Variables:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    for(reset($HTTP_COOKIE_VARS); $key = key($HTTP_COOKIE_VARS); next($HTTP_COOKIE_VARS))
    {
     echo("<TR>\n");
     echo("<TD WIDTH=\"20\">\n");
     echo("&nbsp;\n");
     echo("</TD>\n");
     echo("<TD WIDTH=\"200\">\n");
     echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
     echo("<B>" . $key . ":</B>\n");
     echo("</FONT>\n");
     echo("</TD>\n");
     echo("<TD WIDTH=\"480\">\n");
     echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
     echo(htmlentities($HTTP_COOKIE_VARS[$key]) . "\n");
     echo("</FONT>\n");
     echo("</TD>\n");
     echo("</TR>\n");
    }
    
    echo("<TR>");
    echo("<TD COLSPAN=\"3\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("<B>Configuration Settings:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    for(reset($nphp_config); $key = key($nphp_config); next($nphp_config))
    {
     echo("<TR>\n");
     echo("<TD WIDTH=\"20\">\n");
     echo("&nbsp;\n");
     echo("</TD>\n");
     echo("<TD WIDTH=\"200\">\n");
     echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
     echo("<B>" . $key . ":</B>\n");
     echo("</FONT>\n");
     echo("</TD>\n");
     echo("<TD WIDTH=\"480\">\n");
     echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
     echo(eregi_replace("\[NL\]","<BR>",htmlentities($nphp_config[$key])) . "\n");
     echo("</FONT>\n");
     echo("</TD>\n");
     echo("</TR>\n");
    }
    
    echo("<TR>");
    echo("<TD COLSPAN=\"3\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD COLSPAN=\"3\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#0052AC\">\n");
    echo("<B>Environment Variables:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>Server Software:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo($SERVER_SOFTWARE . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
       
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>User Web Browser:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo($HTTP_USER_AGENT . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>Webtuba NEWS Lugar:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo(stripslashes($PATH_TRANSLATED) . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>Webtuba NEWS Horrio:</B>\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo(MakeADate("<DOWText> :: <DOM2Digits>.<Month>.<Year4Digits> - <Hour24a>:<Minutes>:<Seconds>",time()) . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
    
    echo("<TR>\n");
    echo("<TD WIDTH=\"20\">\n");
    echo("&nbsp;\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"200\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo("<B>PHP Time:</B></FONT>\n");
    echo("</TD>\n");
    echo("<TD WIDTH=\"480\">\n");
    echo("<FONT FACE=\"Verdana, Arial, Tahoma\" SIZE=\"2\" COLOR=\"#000000\">\n");
    echo(gmdate("l jS F, Y") . " at " . gmdate("H:i:s") . "\n");
    echo("</FONT>\n");
    echo("</TD>\n");
    echo("</TR>\n");
            
    echo("</TABLE>\n");
    
    echo("</BODY>\n");
    echo("</HTML>\n");
    exit();
  }
  
// First time user check

  if(count($nphp_users) == 0 && $nphp_common["qstring"] <> "ftsave")
  {
    FirstTimeInstall();
  }
  elseif(count($nphp_users) == 0 && $nphp_common["qstring"] == "ftsave")
  {
   FirstTimeInstallSave();
  }
    
// We know what we are supposed to be doing
// now. Load in a custom language if they
// have it set.

  if(isset($nphp_config["LangFile"]))
  {
   if(strtolower($nphp_config["LangFile"]) != "default" && $nphp_config["LangFile"] != "" && file_exists($nphp_config["LangFile"]))
   {   
     include($nphp_config["LangFile"]);
   }
  }
  
// Lets see if the user is currently
// logged in.

  if(isset($HTTP_POST_VARS["uname"]) && isset($HTTP_POST_VARS["pword"]))
  {    
  // Check the login.  
    for($i=0; $i < count($nphp_users); $i++)
    {       
      if($HTTP_POST_VARS["uname"] == $nphp_users[$i][0] && md5($HTTP_POST_VARS["pword"]) == $nphp_users[$i][1])
      {
      // User is logged in okay.
        $uname = $HTTP_POST_VARS["uname"];
        $pword = $HTTP_POST_VARS["pword"];

        if($nphp_common["cookses"] == 1)
        {
          setcookie("uname",$HTTP_POST_VARS["uname"],time() + $nphp_common["cookielife"]);
          setcookie("pword",$HTTP_POST_VARS["pword"],time() + $nphp_common["cookielife"]);
        }
        else
        {
          session_register("uname");
          session_register("pword");
        }
        
        $nphp_currentuser[0] = $uname;
        $nphp_currentuser[1] = $pword;
        
        for($z=2; $z < count($nphp_users[$i]); $z++)
        {
        $nphp_currentuser[$z] = $nphp_users[$i][$z];
        }
      }
    }
  }
  else
  {

  if(isset($uname) && isset($pword))
  {    
  // Check the login.  
    for($i=0; $i < count($nphp_users); $i++)
    {       
      if($uname == $nphp_users[$i][0] && md5($pword) == $nphp_users[$i][1])
      {
      // User is logged in okay.

        if($nphp_common["cookses"] == 1)
        {
		 if($nphp_common["qstring"] != "logout")
		 {
          setcookie("uname",$uname,time() + $nphp_common["cookielife"]);
          setcookie("pword",$pword,time() + $nphp_common["cookielife"]);
		 }
        }
        else
        {
		 if($nphp_common["qstring"] != "logout")
		 {
          session_register("uname");
          session_register("pword");
		 }
        }
        
        $nphp_currentuser[0] = $uname;
        $nphp_currentuser[1] = $pword;
        
        for($z=2; $z < count($nphp_users[$i]); $z++)
        {
        $nphp_currentuser[$z] = $nphp_users[$i][$z];
        }
      }
    }
  }
  else
  {

  // Not logged in.
   
  // Setting the cookies to blank is
  // a safty precaution. It deletes
  // the cookies.
  
    if($nphp_common["cookses"] == 1)
    {
      setcookie("uname","x",time() + 1);
      setcookie("pword","x",time() + 1);
    }
    else
    {
      setcookie("uname","x",time() + 1);
      setcookie("pword","x",time() + 1);
      session_unregister("uname");
      session_unregister("pword");
      $uname = "";
      $pword = "";
      session_register("uname");
      session_register("pword");
    }
  
    ShowLoginPage();
  }
  }
  
  if($nphp_currentuser[0] == "")
  {
    ShowLoginPage();
  }
      
// Check if they are using a different
// language for this user.

  if(strtolower($nphp_currentuser[4]) != "default")
  {
  // Check the language file exists.
    if(file_exists($nphp_currentuser[4]))
    {
    // It exists, load it in!
      include($nphp_currentuser[4]);
    }
  }
  
// Load any availiable extensions
// or retrieve language file data.

  $nphp_currentdir = opendir(".");
  
  while($filename = readdir($nphp_currentdir))
  {
    $extdata = explode(".",$filename);
        
    if(isset($extdata[1]))
    {
      if($extdata[1] == "npe")
      {
        include($filename);
      }
      elseif($extdata[1] == "npl")
      {
        $nphp_languages[][0] = $filename;
        
        $cnt = count($nphp_languages);
        $cnt--;
        
        $lang_temp = file($filename);
        
        $nphp_languages[$cnt][1] = $lang_temp[2];
      }
    }
  }
  
  closedir($nphp_currentdir);
    
// They must be logged in to reach this
// point in the code. Now we must evaluate
// the query they gave us.

  if($nphp_common["qstring"] == "login")
  {
    ShowMainPage();
  }
  elseif($nphp_common["qstring"] == "profile")
  {
    ShowProfilePage();
  }
  elseif($nphp_common["qstring"] == "post")
  {
    ShowPostPage();
  }
  elseif($nphp_common["qstring"] == "modify")
  {
    ShowModifyPage();
  }
  elseif($nphp_common["qstring"] == "output")
  {
    ShowOutputPage();
  }
  elseif($nphp_common["qstring"] == "logout")
  {
    ShowLogoutPage();
  }
  elseif($nphp_common["qstring"] == "users" && $nphp_currentuser[3] > 3)
  {
    ShowUsersPage();
  }
  elseif($nphp_common["qstring"] == "usersave" && $nphp_currentuser[3] > 3)
  {
    ShowUserCreateSavePage();
  }
  elseif($nphp_common["qstring"] == "settings" && $nphp_currentuser[3] == 5)
  {
    ShowSettingsPage();
  }
  elseif($nphp_common["qstring"] == "setsave" && $nphp_currentuser[3] == 5)
  {
    ShowSaveSettingsPage();
  }
  elseif($nphp_common["qstring"] == "help")
  {
    ShowHelp();
  }
  else
  {   
    ShowMainPage();
  }
?>
